#
# Copyright (c) 2003 Seth Kingsley.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#    This product includes software developed by Seth Kingsley and
#    contributors.
# 4. Neither the author's name, nor any of the contributors names may be
#    used to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   $Id: sk.global.mk,v 1.25 2004/08/24 02:40:08 sethk Exp $

.ifndef SK_MAKE_SYS
.error "This file should not be included directly"
.endif

.ifdef SK_GLOBAL
.error "included multiple times."
.endif
SK_GLOBAL=1

.if exists(${.CURDIR}/../Makefile.inc)
.include    "${.CURDIR}/../Makefile.inc"
.endif

.MAIN: all
ALL_TARGETS = all install clean tags lint depend run debug trace test

CC?= cc
CPPFLAGS+= -I${.CURDIR}/${BASE_DIR}/mk/inc -I${.CURDIR}/obj -I${.CURDIR}
.PATH: ${.CURDIR}/${BASE_DIR}/mk/src
PICFLAGS = -fpic

.if ${OSTYPE} == "FreeBSD"
.include    <bsd.sys.mk>
.endif

CXX?= c++

AR?= ar
ARFLAGS = rlv

RANLIB?= ranlib
RANLIB_FLAGS+=

DBG = gdb

CTAGS = ctags
CTAGS_FLAGS = -dta

LINT = lint
LINT_FLAGS = -FHaabceghruxz

INSTALL = install
INST_FLAGS = -C
STRIP = -s
DIR_MODE = 755
BIN_OWN?= root
BIN_GRP?= wheel
BIN_MODE = 555
LIB_OWN?= root
LIB_GRP?= wheel
LIB_MODE = 555
SHARE_OWN?= root
SHARE_GRP?= wheel
SHARE_MODE = 444

KTRACE = ktrace
KTRACE_FLAGS = -i

PTHREAD_LIBS = -pthread

XGETTEXT?= xgettext
XGETTEXT_FLAGS?= -k_
MSGFMT = msgfmt
MSGFMT_FLAGS =

.if exists(${BASE_DIR}/DEBUG)
DEBUG = true
CPPFLAGS+= -DDEBUG
CFLAGS+= -g
CXXFLAGS+= -g
.else
CPPFLAGS+= -DNDEBUG
.endif

.if exists(${BASE_DIR}/VERSION)
VERSION!= cat ${.CURDIR}/${BASE_DIR}/VERSION
CPPFLAGS+= -DVERSION=\""${VERSION}"\"
.endif

.if exists(${BASE_DIR}/PROFILE)
CFLAGS+= -pg
LDFLAGS+= -pg
.endif

.if exists(${BASE_DIR}/DMALLOC)
DMALLOC = true
CPPFLAGS+= -DDMALLOC -I${LOCAL_BASE}/include
.endif

LOCAL_BASE = /usr/local
PREFIX?= ${LOCAL_BASE}
CPPFLAGS+= -DPREFIX=\"${PREFIX}\"

BIN_DIR?= bin
LIB_DIR?= lib
SHARE_DIR?= share
LOCALE_DIR?= share/locale

