#
# Copyright (c) 2003 Seth Kingsley.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#    This product includes software developed by Seth Kingsley and
#    contributors.
# 4. Neither the author's name, nor any of the contributors names may be
#    used to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   $Id: sk.progrule.mk,v 1.19 2004/06/07 23:11:45 sethk Exp $

.ifndef SK_MAKE_SYS
.error "This file should not be included directly"
.endif

all: ${PROG}
.ifndef NOMAN
all: ${PROG}.${MAN_SECT}
.endif

install::
	[ -d ${PREFIX}/${BIN_DIR} ] ||\
	    mkdir -p -m ${DIR_MODE} ${PREFIX}/${BIN_DIR}
	${INSTALL} ${INST_FLAGS} ${STRIP} -o ${BIN_OWN} -g ${BIN_GRP} ${PROG}\
	    ${PREFIX}/${BIN_DIR}
.ifndef NOMAN
	[ -d ${MAN_DIR} ] || @mkdir -p -m ${DIR_MODE} ${MAN_DIR}
	${INSTALL} ${INST_FLAGS} -o ${SHARE_OWN} -g ${SHARE_GRP}\
	    -m ${SHARE_MODE} ${PROG}.${MAN_SECT} ${MAN_DIR}
	@for l in ${MAN_LINKS};\
	    do ln -sfv ${MAN_DIR}/${PROG}.${MAN_SECT} $$l;\
	done
.endif

clean::
	rm -f ${PROG}

.include    "sk.targets.mk"

${PROG}: ${OBJS}
	${CC} ${LDFLAGS} -o ${.TARGET} ${.ALLSRC} ${LDLIBS}

run: ${PROG}
	@echo Running ${PROG} ${PROG_FLAGS}
	@env ${RUN_ENV} ${PROG} ${PROG_FLAGS}

.ifdef DEBUG
debug: ${PROG}
	@echo Debugging ${PROG} ${PROG_FLAGS}
	@echo set args '${PROG_FLAGS}' > .gdbinit
	@env ${RUN_ENV} ${DBG} ${PROG}
.endif

trace: ${PROG}
	@echo Tracing ${PROG} ${PROG_FLAGS}
	@env ${RUN_ENV} ${KTRACE} ${KTRACE_FLAGS} ${PROG} ${PROG_FLAGS}

