#
# Copyright (c) 2004 Seth Kingsley.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#    This product includes software developed by Seth Kingsley and
#    contributors.
# 4. Neither the author's name, nor any of the contributors names may be
#    used to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   $Id: sk.progvar.mk,v 1.2 2004/06/08 00:31:49 sethk Exp $

.ifndef SK_MAKE_SYS
.error "This file should not be included directly"
.endif

SRCS?= ${PROG}.c
SRCS+= mk.c

.ifndef OBJS
OBJS = ${SRCS:R:S/$/.o/}
.endif

MAN_SECT?= 1
MAN_DIR = ${PREFIX}/man/man${MAN_SECT}
SHARE_DIR?= share/${PROG}
CPPFLAGS+= -DSHARE_DIR=\"${PREFIX}/${SHARE_DIR}\"

RUN_ENV = PATH=.:$$PATH
.if defined(DEBUG) && ${OSTYPE} == "FreeBSD"
RUN_ENV+= MALLOC_OPTIONS=AJ
.endif

.if defined(DMALLOC)
DMALLOC_OPTIONS?= debug=0x4e48503,log=dmalloc.out
RUN_ENV+= DMALLOC_OPTIONS=${DMALLOC_OPTIONS}
LDLIBS+= -ldmalloc
.endif

.if exists(${BASE_DIR}/EFENCE)
RUN_ENV+= LD_PRELOAD=libefence.so.0:$$LD_PRELOAD
.endif

