#
# Copyright (c) 2003 Seth Kingsley.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#    This product includes software developed by Seth Kingsley and
#    contributors.
# 4. Neither the author's name, nor any of the contributors names may be
#    used to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   $Id: sk.subdir.mk,v 1.6 2004/06/18 07:29:58 sethk Exp $

.ifndef BASE_DIR
.error "$${BASE_DIR} must be defined"
.endif	# !BASE_DIR

SK_MAKE_SYS = true

.include    "${BASE_DIR}/mk/sk.global.mk"

_subdir: .USE
	@for dir in ${SUBDIRS}; do\
	    echo "===> ${_SUBDIR_PREFIX}$$dir";\
	    (cd $$dir &&\
	     ${MAKE} ${.MAKEFLAGS} _SUBDIR_PREFIX=${SUBDIR_PREFIX}$$dir/\
	     ${.TARGET});\
	done

.ifndef _SUBDIR_PREFIX
tags::
	rm -f ${.CURDIR}/${BASE_DIR}/${.TARGET}
	touch ${.CURDIR}/${BASE_DIR}/${.TARGET}

.endif

.for target in ${ALL_TARGETS}
.if !target(${target})
${target}:: _subdir
.endif # !target(${target})
.endfor

