/*-
 * Copyright (c) 2003 Seth Kingsley.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *    This product includes software developed by Seth Kingsley and
 *    contributors.
 * 4. Neither the author's name, nor any of the contributors names may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: descview.h,v 1.7 2004/05/02 08:53:58 sethk Exp $ */

#ifndef DESCVIEW_H
#define DESCVIEW_H

#include    <gtk/gtkwindow.h>

struct refresh_data;
struct catlist_data;
struct portlist_data;
struct cat_desc;
struct port_desc;

struct descview_data *descview_init(GtkWindow *_app,
	struct refresh_data *_rdp,
	struct catlist_data *_cdp,
	struct portlist_data *_pldp);
void descview_fini(struct descview_data *_ddp);
void descview_populate(struct descview_data *_ddp,
	struct cat_desc *_cdescp,
	struct port_desc *_portdp);
void descview_clear(struct descview_data *_ddp);
void descview_motion(struct descview_data *_ddp, GdkEventMotion *_gemp);
gboolean descview_button(struct descview_data *_ddp, GdkEventButton *_gebp);

#endif /* !DESCVIEW_H */

