/*-
 * Copyright (c) 2003 Seth Kingsley.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *    This product includes software developed by Seth Kingsley and
 *    contributors.
 * 4. Neither the author's name, nor any of the contributors names may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: install.h,v 1.13 2004/07/12 06:18:43 sethk Exp $ */

#ifndef INSTALL_H
#define INSTALL_H

#include    <gtk/gtkwidget.h>
#include    <gtk/gtkbutton.h>

struct refresh_data;
struct portlist_data;
struct port_desc;

enum install_action
{
    INSTACT_CURRENT,
    INSTACT_FETCH,
    INSTACT_CHKSUM,
    INSTACT_BUILD,
    INSTACT_INSTALL,
    INSTACT_UPGRADE,
    INSTACT_UNINST,
    INSTACT_CLEAN,
    INSTACT_PACKAGE,
    INSTACT_SEP,
    INSTACT_NONE
};

struct install_data *install_init(GtkWindow *_app,
	struct refresh_data *_rdp,
	struct portlist_data *_pldp);
void install_fini(struct install_data *_idp);
void install_enable(struct install_data *_idp, struct port_desc *_portdp);
void install_disable(struct install_data *_idp);
void install_action(struct install_data *_idp,
	struct port_desc *_pdescp,
	enum install_action _ia);
void install_menu_popup(struct install_data *_idp, GdkEventButton *_event);
void install_details_show(struct install_data *_idp, gboolean _show);
void install_action_run(struct install_data *_idp);
void install_action_cancel(struct install_data *_idp);

#endif /* !INSTALL_H */

