/*-
 * Copyright (c) 2003 Seth Kingsley.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *    This product includes software developed by Seth Kingsley and
 *    contributors.
 * 4. Neither the author's name, nor any of the contributors names may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: portcell.h,v 1.3 2004/04/27 00:37:23 sethk Exp $ */

#ifndef PORTCELL_H
#define PORTCELL_H

#include    "portsman.h"

#define PM_TYPE_CELL_RENDERER_PORT		(pm_cell_renderer_port_get_type())
#define PM_CELL_RENDERER_PORT(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), PM_TYPE_CELL_RENDERER_PORT, PMCellRendererPort))
#define PM_CELL_RENDERER_PORT_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), PM_TYPE_CELL_RENDERER_PORT, PMCellRendererPortClass))

typedef struct _PMCellRendererPort PMCellRendererPort;
typedef struct _PMCellRendererPortClass PMCellRendererPortClass;

struct _PMCellRendererPort
{
    GtkCellRendererText	parent;
    GdkRectangle	arrow_rect;
    guint		text_xoffset;
    enum port_state	state;
};

struct _PMCellRendererPortClass
{
    GtkCellRendererTextClass	parent_class;
};

GType pm_cell_renderer_port_get_type(void);
GtkCellRenderer *pm_cell_renderer_port_new(void);

#endif /* !PORTCELL_H */

